##
##  cacti-apache.conf -- Cacti Apache Custom Configuration
##

ServerRoot             @l_prefix@
ServerAdmin            root@@l_hostname@.@l_domainname@
ServerName             @l_hostname@.@l_domainname@
ServerTokens           Prod
User                   @l_rusr@
Group                  @l_rgrp@
Listen                 127.0.0.1:8080

#   runtime files
PidFile                @l_prefix@/var/cacti/run/apache.pid
ScoreBoardFile         @l_prefix@/var/cacti/run/apache.sb
LockFile               @l_prefix@/var/cacti/run/apache.lck

#   include apache-php
Include                @l_prefix@/etc/apache/apache.d/apache-php.conf

#  server behaviour
Timeout                300
KeepAlive              on
MaxKeepAliveRequests   100
KeepAliveTimeout       15
MinSpareServers        5
MaxSpareServers        10
StartServers           5
MaxClients             15
MaxRequestsPerChild    500
HostnameLookups        off
UseCanonicalName       on

#   access logging
LogFormat              "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined
LogFormat              "%h %l %u %t \"%r\" %>s %b" common
LogFormat              "%{Referer}i -> %U" referer
LogFormat              "%{User-agent}i" agent
CustomLog              @l_prefix@/var/cacti/log/apache.access.log common

#   error logging
LogLevel               warn
ErrorLog               @l_prefix@/var/cacti/log/apache.error.log
ServerSignature        on

#   secure root directory
<Directory />
    Options FollowSymLinks
    AllowOverride None
</Directory>

#   browser specifics
BrowserMatch "Mozilla/2"       nokeepalive
BrowserMatch "MSIE 4\.0b2;"    nokeepalive downgrade-1.0 force-response-1.0
BrowserMatch "RealPlayer 4\.0" force-response-1.0
BrowserMatch "Java/1\.0"       force-response-1.0
BrowserMatch "JDK/1\.0"        force-response-1.0

#   SSL/TLS support
<IfModule ssl_module>
    SSLRandomSeed           startup builtin
    SSLRandomSeed           connect builtin
    SSLMutex                sem
    SSLSessionCache         shmcb:@l_prefix@/var/cacti/run/apache.scache(512000)
    SSLSessionCacheTimeout  300
    SSLCipherSuite          ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
    SetEnvIf User-Agent ".*MSIE.*" \
             nokeepalive ssl-unclean-shutdown \
             downgrade-1.0 force-response-1.0
    <Files ~ "\.(cgi|shtml|phtml|php?)$">
        SSLOptions +StdEnvVars
    </Files>
    <Directory "@l_prefix@/cgi">
        SSLOptions +StdEnvVars
    </Directory>
</IfModule>

#   configure PHP
AddType           application/x-httpd-php .php
php_admin_flag    register_globals   on
php_admin_flag    register_argc_argv on
php_admin_flag    safe_mode          off

#   configure Cacti
RewriteEngine     on
RewriteRule       ^/$ /cacti/ [R,L]
Alias             /cacti @l_prefix@/share/cacti
DocumentRoot      @l_prefix@/share/cacti
DirectoryIndex    index.php index.html
<Directory        "@l_prefix@/share/cacti">
    Options       FollowSymLinks
    AllowOverride None
    Order         allow,deny
    Allow         from all
</Directory>

